Product updates

Developer Changelog

Keep track of changes and upgrades to the Zoom Developer platform. You can also subscribe to our Changelog RSS feed below.


Accounts

Expanded Dashboard API insights with new connection type and engagement indicators

API release

Summary:Enhancements to the Dashboards APIs including new response fields as_connection_type and video_connection_type added to various meeting and webinar participant QoS and summary endpoints, for more insight into audio/video connection types. Additionally, new fields has_poll, has_survey, and has_qa are now available in meeting and webinar summary APIs to indicate whether these features were used during sessions.

Enhancements

  • New as_connection_type, video_connection_type response fields in the following Dashboards APIs:
    • GET /v2/metrics/webinars/{webinarId}/participants/qos
    • GET /v2/accounts/{accountId}/metrics/webinars/{webinarId}/participants/qos
    • GET /v2/metrics/webinars/{webinarId}/participants
    • GET /v2/accounts/{accountId}/metrics/webinars/{webinarId}/participants
    • GET /v2/metrics/meetings/{meetingId}/participants/{participantId}/qos
    • GET /v2/accounts/{accountId}/metrics/meetings/{meetingId}/participants/{participantId}/qos
    • GET /v2/accounts/{accountId}/metrics/meetings/{meetingId}/participants/qos
    • GET /v2/metrics/meetings/{meetingId}/participants/qos
    • GET /v2/accounts/{accountId}/metrics/meetings/{meetingId}/participants
    • GET /v2/metrics/meetings/{meetingId}/participants
    • GET /v2/accounts/{accountId}/metrics/webinars/{webinarId}/participants/{participantId}/qos
    • GET /v2/metrics/webinars/{webinarId}/participants/{participantId}/qos
  • New has_poll, has_survey response fields in the following Dashboards APIs:
    • GET /v2/accounts/{accountId}/metrics/meetings/{meetingId}
    • GET /v2/metrics/meetings/{meetingId}
    • GET /v2/metrics/meetings
    • GET /v2/accounts/{accountId}/metrics/meetings
    • GET /v2/metrics/webinars
    • GET /v2/accounts/{accountId}/metrics/webinars
    • GET /v2/metrics/webinars/{webinarId}
    • GET /v2/accounts/{accountId}/metrics/webinars/{webinarId}
  • New has_qa response field in the following Dashboards APIs:
    • GET /v2/accounts/{accountId}/metrics/meetings/{meetingId}
    • GET /v2/metrics/meetings/{meetingId}
    • GET /v2/metrics/meetings
    • GET /v2/accounts/{accountId}/metrics/meetings